#!/bin/bash

set -e

if ! command -v jlpm &> /dev/null
then
    pip install --no-build-isolation --no-deps -e $(dirname "$0") -i https://pypi.douban.com/simple
fi

jlpm install --ignore-scripts
jlpm build:dev:prod:release

rm -rf jupyterlab/schemas jupyterlab/static jupyterlab/themes jupyterlab/style.js
cp -r dev_mode/schemas dev_mode/static dev_mode/themes dev_mode/style.js jupyterlab
python -m build -wxn
